> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payment Item

> Delete a payment item by paymentItemID from a pending contractor payment.

Deletes an existing [Payment Item](/reference/payment-items/payment-item-object). Payment items can only be deleted when the parent contractor payment has status pending.


## OpenAPI

````yaml openapi/zeal-api.json delete /payment-items
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /payment-items:
    delete:
      summary: Delete Payment Item
      description: >-
        Delete a payment item by paymentItemID. The parent contractor payment
        must have status pending.
      operationId: delete-payment-item
      parameters:
        - name: paymentItemID
          in: query
          required: true
          description: ID of the payment item to delete
          schema:
            type: string
      responses:
        '204':
          description: Payment item deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  testMode:
                    type: boolean
              examples:
                Result:
                  summary: Result
                  value:
                    success: true
                    testMode: false
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    success: false
                    errors:
                      - message: >-
                          Payment item cannot be deleted when contractor payment
                          status is processed. Only pending payments can be
                          modified.
                        code: 13
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                        code:
                          type: integer
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    success: false
                    errors:
                      - message: Payment item not found
                        code: 135
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````